.MobileState {
    display: none;
    width: 0px
}

/* only for defining that Mobile or desktop css is acting for using in JS */
:root {
    --headerHeight: 9rem;
    --headerTime: 0.5s;

    :has(body>header.stuck) {
        /* --headerHeight: 50px; */
    }
}

body>header {
    width: 100%;
    height: var(--headerHeight);

    * {
        transition: .3s;
    }

    .myIcons {
        font-size: 200%;
    }
}

#headerWrapper {
    position: fixed;
    z-index: 1200;
    width: 100%;
    height: var(--headerHeight);
    background-color: white;
    display: flex;
    flex-direction: column;
}

#headerBanner {
    background-color: var(--color1);
    color: white;
    font-weight: 100;
    height: calc(var(--headerHeight) * 0.25);
    place-content: center;
    text-align: center;
}

body>header.stuck #headerBanner {
    height: 0;
    opacity: 0;
}

body>header.stuck #headerWrapper {
    --headerHeight: 55px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
}

#headerContainer {
    background-color: white;
    flex-grow: 2;
    padding-inline: 2vw;
    position: relative;
    display: flex;
    gap: 0 10px;
    justify-content: space-between;
    align-items: center;

    >div {
        display: flex;
        align-items: center;
        gap: 15px;
    }
}

#logo {
    display: flex;
    align-items: center;
    margin-inline-end: 20px;
    gap: 7px;
    height: calc(var(--headerHeight) * .5);
}

body>header.stuck #logo {
    /* height: calc(var(--headerHeight) * .5); */
}

#logo img {
    height: 100%;
}

#headerWrapper.stuck #logo p .logo-en {
    /* font-size:10px; */
}

body>header input[type="checkbox"],
body>header input[type="radio"] {
    display: none;
}

.contactusEn a {
    margin-right: auto;
}

#pageAddressBar {
    font-size: 80%;

    a {
        color: gray;

        &:hover {
            color: var(--color2);
        }
    }

    a:not(:first-child)::before {
        content: '/';
        font-family: webIcons;
        margin-inline: .5ch;
    }
}

.shopIconContainer {
    position: relative;
        display: flex;
    align-items: center;
    justify-content: stretch;
    margin: 0;
    flex-wrap: wrap;
    .myIcons{
        padding: 10px;
    }

}

.menuCounter {
    position: absolute;
    top: 0;
    left: 0;
    color: white;
    background-color: var(--color1);
    padding-inline: 2px;
    border-radius: 3px;
    line-height: 1rem;
    font-size: 0.6rem;
}

#ayyarehPLus {

    >a {
        background-color: var(--color2);
        font-weight: 600;
        display: flex;
        align-items: center;
        justify-content: center;
        min-width: 100px;

        >* {
            font-size: 150%;
            padding: 2px;
        }
        &:not([href]){
            background-color: gray;
        }
        &[href]:hover {
            background-color: var(--color1);
        }

    }
}
.headerVIPNote{
    background-color:red;
    text-align: center;
    margin-block: 5px;
    color:white;
    font-weight: bold;
    padding-block: 5px;
}
#nonPlusButton, #plusCalls{
    display: none !important;
}